From f3103ae752582fb2b10bd76565c673db3a7442e3 Mon Sep 17 00:00:00 2001
From: Wesley Schwengle <waterkip@cpan.org>
Date: Sat, 14 Sep 2024 22:06:49 -0400
Subject: [PATCH] Change has to field in t/50objectpad.t

Object::Pad has removed the 'has' keyword in version 0.813, thus breaks
the testsuite. Object::Pad 0.66 introduces the 'field' keyword and
should therefore be safe to use as the Object::Pad version required by
the testsuite is 0.67.

Signed-off-by: Wesley Schwengle <waterkip@cpan.org>
---
 t/50objectpad.t | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/t/50objectpad.t b/t/50objectpad.t
index 80da387..efa7889 100644
--- a/t/50objectpad.t
+++ b/t/50objectpad.t
@@ -8,19 +8,19 @@ use Test::More;
 use Object::Pad;
 
 class FooBar {
-	has $x :reader = [];
+	field $x :reader = [];
 	use Sub::HandlesVia::Declare '$x', Array => (
 		all_x => 'all',
 		add_x => 'push',
 	);
 
-	has @y;
+	field @y;
 	use Sub::HandlesVia::Declare '@y', (
 		all_y => 'all',
 		add_y => 'push',
 	);
 	
-	has %z;
+	field %z;
 	use Sub::HandlesVia::Declare '%z', (
 		all_z => 'all',
 		add_z => 'set',
